## korganizer 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION_NUMBER "5.9.3")
set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

project(korganizer VERSION ${KDEPIM_VERSION_NUMBER})

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)

set(AKONADI_MIMELIB_VERSION "5.9.3")
set(AKONADI_CONTACT_VERSION "5.9.3")
set(KCALENDARCORE_LIB_VERSION "5.9.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.9.3")
set(KLDAP_LIB_VERSION "5.9.3")
set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
set(CALENDARUTILS_LIB_VERSION "5.9.3")
set(AKONADICALENDAR_LIB_VERSION "5.9.3")
set(KONTACTINTERFACE_LIB_VERSION "5.9.3")
set(KMIME_LIB_VERSION "5.9.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.9.3")
set(AKONADI_VERSION "5.9.3")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")
set(AKONADINOTES_LIB_VERSION "5.9.3")

set(QT_REQUIRED_VERSION "5.9.0")
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Test UiTools)
set(KDEPIM_APPS_LIB_VERSION_LIB "5.9.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.9.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.9.3")
set(LIBINCIDENCEEDITOR_LIB_VERSION_LIB "5.9.3")
set(CALENDARSUPPORT_LIB_VERSION_LIB "5.9.3")
set(EVENTVIEW_LIB_VERSION_LIB "5.9.3")

find_package(KF5AkonadiSearch "5.9.3" CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

# Find KF5 package
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_VERSION} REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)

find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5KdepimDBusInterfaces ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${LIBINCIDENCEEDITOR_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION_LIB} CONFIG REQUIRED)
if(NOT APPLE)
  find_package(X11)
endif()

set(KDEPIM_HAVE_X11 ${X11_FOUND})
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
configure_file(config-korganizer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
configure_file(korgac/config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h)
include_directories(${korganizer_SOURCE_DIR} ${korganizer_BINARY_DIR} ${korgac_SOURCE_DIR} ${korgac_BINARY_DIR})
configure_file(korganizer-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)

add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_subdirectory(src)
add_subdirectory(korgac)

install(FILES korganizer.renamecategories korganizer.categories DESTINATION ${KDE_INSTALL_CONFDIR})

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/kontactplugin/korganizer/CMakeLists.txt ===
########### next target ###############
set(libcommon_SRCS korg_uniqueapp.cpp)
ecm_qt_declare_logging_category(libcommon_SRCS HEADER korganizerplugin_debug.h IDENTIFIER KORGANIZERPLUGIN_LOG CATEGORY_NAME org.kde.pim.korganizer_plugin)

set(kontact_korganizerplugin_PART_SRCS korganizerplugin.cpp apptsummarywidget.cpp summaryeventinfo.cpp ${libcommon_SRCS})

qt5_add_dbus_interfaces(kontact_korganizerplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_korganizerplugin MODULE ${kontact_korganizerplugin_PART_SRCS})

target_link_libraries(kontact_korganizerplugin KF5::AkonadiCalendar KF5::CalendarUtils KF5::Contacts KF5::CalendarCore KF5::Libkdepim KF5::KontactInterface korganizerprivate KF5::CalendarSupport KF5::AkonadiCalendar KF5::WindowSystem KF5::I18n KF5::IconThemes)

########### next target ###############

set(kontact_todoplugin_PART_SRCS todoplugin.cpp todosummarywidget.cpp ${libcommon_SRCS})

qt5_add_dbus_interfaces(kontact_todoplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_todoplugin MODULE ${kontact_todoplugin_PART_SRCS})

target_link_libraries(kontact_todoplugin KF5::AkonadiCalendar  KF5::Contacts KF5::Libkdepim KF5::KontactInterface KF5::CalendarCore KF5::CalendarUtils KF5::CalendarSupport KF5::AkonadiCalendar KF5::IconThemes KF5::Notifications KF5::WindowSystem)

########### next target ###############

set(kontact_journalplugin_PART_SRCS journalplugin.cpp ${libcommon_SRCS})

qt5_add_dbus_interfaces(kontact_journalplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml)

add_library(kontact_journalplugin MODULE ${kontact_journalplugin_PART_SRCS})

target_link_libraries(kontact_journalplugin  KF5::KontactInterface KF5::IconThemes KF5::WindowSystem)

########### next target ###############

set(kcm_apptsummary_PART_SRCS kcmapptsummary.cpp)

ki18n_wrap_ui(kcm_apptsummary_PART_SRCS apptsummaryconfig_base.ui)

add_library(kcm_apptsummary MODULE ${kcm_apptsummary_PART_SRCS})

target_link_libraries(kcm_apptsummary  KF5::KCMUtils KF5::I18n)

########### next target ###############

set(kcm_todosummary_PART_SRCS kcmtodosummary.cpp)

ki18n_wrap_ui(kcm_todosummary_PART_SRCS todosummaryconfig_base.ui)

add_library(kcm_todosummary MODULE ${kcm_todosummary_PART_SRCS})

target_link_libraries(kcm_todosummary Qt5::Widgets KF5::KCMUtils KF5::I18n)

########## Unit Test ###########
if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()
########### install files ###############

install(TARGETS kcm_apptsummary DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kcm_todosummary DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kontact_korganizerplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kontact_todoplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kontact_journalplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES korganizerplugin.desktop todoplugin.desktop journalplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kontact)
install(FILES kcmapptsummary.desktop kcmtodosummary.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(FILES korganizer.setdlg DESTINATION ${KDE_INSTALL_DATADIR}/kontact/ksettingsdialog)

=== debian/changelog ===
korganizer (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:04:27 +0100

korganizer (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:21:46 +0200

korganizer (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.
  * Remove not needed patches.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:55:40 +0200

korganizer (4:17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 9592053caa790eec669c08266f403b40746296b2 to fix
    build with Qt 5.11; patch upstream_Add-missing-include.patch.
  * Bump Standards-Version to 4.1.5, no changes required.
  * Remove empty line at the end of changelog.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jul 2018 22:37:17 +0200

korganizer (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * small fixes in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:37 +0200

korganizer (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:57 +0100

korganizer (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Do not ship development symlinks of private libraries.
  * Simplify watch file, and switch it to https.
  * Remove not-installed file, no more useful.
  * Remove the kontact, and libkdepim4 breaks/replaces, as they are no more
    needed.
  * Allow stderr in the 'testsuite' autopkgtest.
  * Remove unused ${perl:Depends} substvar from korganizer.
  * Update lintian overrides.
  * Remove unused dh_makeshlibs override.
  * Since kdepim-runtime is available only on few architectures (due to
    QtWebEngine), limit the dependency on it to amd64 arm64 armhf i386 mipsel.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:48:14 +0100

korganizer (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Add libx11-dev as Build-Dep.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:57:48 +0100

korganizer (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Editorial changes... Drop some of the things inherited from kdepim
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:32 +0200

korganizer (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:38:17 +0000

korganizer (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:23:33 +0000

korganizer (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:11 +0000

korganizer (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:22:15 +0000

korganizer (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:38 +0000

korganizer (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:36 +0000

korganizer (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:01:11 +0000

korganizer (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:23:22 +0000

korganizer (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 22:08:58 +0000

korganizer (4:16.11.90-0neon) xenial; urgency=medium

  * Initial release based on the split of kdepim

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Mon, 12 Sep 2016 17:09:13 +0200

kdepim (4:16.08.1-1~2.gbpb36d9f) UNRELEASED; urgency=medium

  ** SNAPSHOT build @b36d9f5ab35ffde3ed81e8616b1f61966d87f80b **

  [ Maximiliano Curia ]
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.


=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.3~),
               libkf5akonadicalendar-dev (>= 4:18.08.3~),
               libkf5akonadicontact-dev (>= 4:18.08.3~),
               libkf5akonadimime-dev (>= 4:18.08.3~),
               libkf5akonadinotes-dev (>= 4:18.08.3~),
               libkf5akonadisearch-dev (>= 4:18.08.3~),
               libkf5calendarcore-dev (>= 4:18.08.3~),
               libkf5calendarsupport-dev (>= 4:18.08.3~),
               libkf5calendarutils-dev (>= 4:18.08.3~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5completion-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5contacts-dev (>= 4:17.12.3~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5crash-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5doctools-dev (>= 5.47.0~),
               libkf5eventviews-dev (>= 4:18.08.3~),
               libkf5holidays-dev (>= 1:5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5identitymanagement-dev (>= 18.08.3~),
               libkf5incidenceeditor-dev (>= 18.08.3~),
               libkf5itemviews-dev (>= 5.47.0~),
               libkf5jobwidgets-dev (>= 5.47.0~),
               libkf5kcmutils-dev (>= 5.47.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:18.08.3~),
               libkf5kontactinterface-dev (>= 18.08.3~),
               libkf5ldap-dev (>= 18.08.3~),
               libkf5libkdepim-dev (>= 4:18.08.3~),
               libkf5mailtransport-dev (>= 18.08.3~),
               libkf5mime-dev (>= 18.08.3~),
               libkf5newstuff-dev (>= 5.47.0~),
               libkf5notifications-dev (>= 5.47.0~),
               libkf5parts-dev (>= 5.47.0~),
               libkf5pimcommon-dev (>= 4:18.08.3~),
               libkf5pimtextedit-dev (>= 18.08.3~),
               libkf5service-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               libkf5xmlgui-dev (>= 5.47.0~),
               libphonon4qt5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git

Package: korganizer
Architecture: any
Depends: kdepim-runtime [amd64 arm64 armhf i386 mipsel],
         ${misc:Depends},
         ${shlibs:Depends},
Homepage: http://kontact.kde.org/korganizer/
Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# do not ship development stuff
	find debian/korganizer -name '*.so' -type l -delete

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## korganizer 18.08.3.1%2Brb2

=== src/CMakeLists.txt ===
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()
add_subdirectory(interfaces)
add_subdirectory(pixmaps)
add_subdirectory(sounds)
add_subdirectory(kcmconfigs)
add_subdirectory(kontactplugin)
add_subdirectory(views/collectionview)
add_subdirectory(kconf_update)

########### next target ###############

set(korganizer_common_SRCS)
ecm_qt_declare_logging_category(korganizer_common_SRCS HEADER korganizer_debug.h IDENTIFIER KORGANIZER_LOG CATEGORY_NAME org.kde.pim.korganizer)

set(korganizer_SRCS
    main.cpp
    korganizer.cpp
    koapp.cpp
    plugininterface/korganizerplugininterface.cpp
    ${korganizer_common_SRCS}
    )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/*-apps-korganizer.png")
ecm_add_app_icon(korganizer_SRCS ICONS ${ICONS_SRCS})

add_executable(korganizer ${korganizer_SRCS})

target_link_libraries(korganizer
    KF5::KontactInterface
    KF5::CalendarCore
    KF5::LibkdepimAkonadi
    KF5::KdepimDBusInterfaces
    korganizerprivate
    korganizer_interfaces
    korganizer_core
    KF5::PimCommonAkonadi
    KF5::Crash
    KF5::WindowSystem
    )

install(TARGETS
    korganizer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

########### next target ###############

set(kcm_korganizer_PART_SRCS
    kcmdesignerfields.cpp
    korganizer_debug.cpp
    prefs/koprefsdialog.cpp
    widgets/kitemiconcheckcombo.cpp
    )

add_library(kcm_korganizer MODULE ${kcm_korganizer_PART_SRCS})
generate_export_header(kcm_korganizer BASE_NAME kcm_korganizer)

target_link_libraries(kcm_korganizer
    KF5::AkonadiCalendar
    KF5::CalendarSupport
    KF5::EventViews
    KF5::IncidenceEditor
    KF5::LibkdepimAkonadi
    korganizer_core
    korganizerprivate
    Qt5::UiTools
    KF5::CalendarCore
    KF5::Holidays
    KF5::MailTransport
    KF5::PimCommon
    KF5::AkonadiWidgets
    KF5::WindowSystem
    )

install(TARGETS
    kcm_korganizer
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
    )

########### next target ###############

set(korganizerpart_PART_SRCS korganizer_part.cpp korganizer_debug.cpp)

add_library(korganizerpart MODULE ${korganizerpart_PART_SRCS})

target_link_libraries(korganizerpart
    KF5::CalendarSupport
    korganizer_core
    korganizer_interfaces
    korganizerprivate
    KF5::AkonadiCore
    KF5::CalendarCore
    KF5::CalendarUtils
    )

install(TARGETS
    korganizerpart
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
    )


########### next target ###############

set(korganizer_core_LIB_SRCS
    prefs/koprefs.cpp
    kocore.cpp
    ${korganizer_common_SRCS}
    )

kconfig_add_kcfg_files(korganizer_core_LIB_SRCS settings/koprefs_base.kcfgc)

add_library(korganizer_core ${korganizer_core_LIB_SRCS})
generate_export_header(korganizer_core BASE_NAME korganizer_core)

target_link_libraries(korganizer_core
    PUBLIC
    korganizer_interfaces
    PRIVATE
    KF5::CalendarSupport
    KF5::EventViews
    KF5::IdentityManagement
    )

target_include_directories(korganizer_core PUBLIC
    "$<BUILD_INTERFACE:${korganizer_SOURCE_DIR};${korganizer_BINARY_DIR}>"
    )

set_target_properties(korganizer_core PROPERTIES
    VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )

install(TARGETS
    korganizer_core ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

########### next target ###############

set(korganizerprivate_LIB_SRCS
    ${korganizer_common_SRCS}
    manageshowcollectionproperties.cpp
    korgmigrateapplication.cpp
    collectiongeneralpage.cpp
    aboutdata.cpp
    actionmanager.cpp
    akonadicollectionview.cpp
    views/collectionview/reparentingmodel.cpp
    views/collectionview/controller.cpp
    views/collectionview/calendardelegate.cpp
    views/collectionview/quickview.cpp
    calendarview.cpp
    datechecker.cpp
    datenavigator.cpp
    datenavigatorcontainer.cpp
    dialog/filtereditdialog.cpp
    widgets/kdatenavigator.cpp
    kocheckableproxymodel.cpp
    kocorehelper.cpp
    kodaymatrix.cpp
    kodialogmanager.cpp
    koeventpopupmenu.cpp
    dialog/noteeditdialog.cpp
    koeventview.cpp
    dialog/koeventviewerdialog.cpp
    koglobals.cpp
    kohelper.cpp
    impl/korganizerifaceimpl.cpp
    koviewmanager.cpp
    kowindowlist.cpp
    widgets/navigatorbar.cpp
    dialog/searchdialog.cpp
    helper/searchcollectionhelper.cpp
    views/agendaview/koagendaview.cpp
    views/journalview/kojournalview.cpp
    views/listview/kolistview.cpp
    views/monthview/monthview.cpp
    views/multiagendaview/multiagendaview.cpp
    views/timelineview/kotimelineview.cpp
    views/todoview/kotodoview.cpp
    views/whatsnextview/kowhatsnextview.cpp
    )

qt5_add_resources(korganizerprivate_LIB_SRCS korganizer.qrc)

set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/qrc_korganizer.cpp PROPERTY SKIP_AUTOMOC ON)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/qrc_agendaitemtheme.cpp PROPERTY SKIP_AUTOMOC ON)

ki18n_wrap_ui(korganizerprivate_LIB_SRCS
    ui/filteredit_base.ui
    ui/kogroupwareprefspage.ui
    views/multiagendaview/multiagendaviewconfigwidget.ui
    ui/searchdialog_base.ui
    views/collectionview/quickview.ui
    )

qt5_add_resources(korganizerprivate_LIB_SRCS
    agendaitem_pixmaps/agendaitemtheme.qrc)

qt5_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml impl/korganizerifaceimpl.h
    KOrganizerIfaceImpl
    )

qt5_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.Korganizer.Calendar.xml actionmanager.h
    ActionManager calendaradaptor KOrgCalendarAdaptor
    )

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml
    )

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    ../korgac/org.kde.korganizer.KOrgac.xml
    )

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml
    )

add_library(korganizerprivate ${korganizerprivate_LIB_SRCS})
generate_export_header(korganizerprivate BASE_NAME korganizerprivate)

target_link_libraries(korganizerprivate
    PUBLIC
    KF5::PimCommonAkonadi
    PRIVATE
    KF5::CalendarSupport
    KF5::EventViews
    KF5::IncidenceEditor
    KF5::LibkdepimAkonadi
    KF5::KdepimDBusInterfaces
    korganizer_core
    korganizer_interfaces
    KF5::AkonadiCore
    KF5::AkonadiCalendar
    KF5::AkonadiNotes
    KF5::AkonadiSearchPIM
    KF5::Contacts
    KF5::CalendarCore
    KF5::CalendarUtils
    KF5::Holidays
    KF5::Mime
    KF5::IdentityManagement
    KF5::KCMUtils
    KF5::NewStuff
    KF5::Ldap
    KF5::AkonadiWidgets
    KF5::IconThemes
    KF5::WindowSystem
    KF5::Notifications
    KF5::ItemViews
    )

target_include_directories(korganizerprivate PUBLIC
    "$<BUILD_INTERFACE:${korganizer_SOURCE_DIR};${korganizer_BINARY_DIR}>"
    )

set_target_properties(korganizerprivate PROPERTIES
    VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )

install(TARGETS
    korganizerprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
    )

########### install files ###############

install(FILES
    settings/korganizer.kcfg
    DESTINATION ${KDE_INSTALL_KCFGDIR}
    )

install(FILES
    dbuscalendar.desktop
    DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR}
    )

install(FILES
    korganizer_part.desktop data/webcal.protocol
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
    )

install(FILES
    data/org.kde.Korganizer.Calendar.xml data/org.kde.korganizer.Korganizer.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    )

install(FILES
    data/korganizer.knsrc
    DESTINATION ${KDE_INSTALL_CONFDIR}
    )

install(PROGRAMS
    org.kde.korganizer.desktop korganizer-import.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
    )

install(FILES
    org.kde.korganizer.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
    )

=== src/autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

add_executable(testkodaymatrix testkodaymatrix.cpp ../kodaymatrix.cpp)
add_test(NAME testkodaymatrix COMMAND testkodaymatrix)
ecm_mark_as_test(testkodaymatrix)
target_link_libraries(testkodaymatrix
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
  Qt5::Test
)

set(koeventpopupmenutest_SRCS ../koeventpopupmenu.cpp ../kocorehelper.cpp ../dialog/noteeditdialog.cpp ../korganizer_debug.cpp)
set(koeventpopupmenutest_LIBS Qt5::Test
  Qt5::Gui
  Qt5::Core
  KF5::Mime
  KF5::AkonadiWidgets
  KF5::AkonadiCore
  KF5::AkonadiCalendar
  KF5::AkonadiNotes
  KF5::CalendarCore
  KF5::IncidenceEditor
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
)
add_akonadi_isolated_test_advanced(koeventpopupmenutest.cpp "${koeventpopupmenutest_SRCS}" "${koeventpopupmenutest_LIBS}")

add_executable(noteeditdialogtest noteeditdialogtest.cpp ../dialog/noteeditdialog.cpp ../korganizer_debug.cpp)
add_test(NAME noteeditdialogtest COMMAND noteeditdialogtest)
ecm_mark_as_test(noteeditdialogtest)
target_link_libraries(noteeditdialogtest
  Qt5::Test
  Qt5::Gui
  Qt5::Core
  KF5::Mime
  KF5::AkonadiCore
  KF5::AkonadiCalendar
  KF5::AkonadiNotes
  KF5::CalendarCore
  KF5::IncidenceEditor
  KF5::CalendarSupport
  KF5::AkonadiWidgets
  korganizer_core
  korganizerprivate
  )

## korganizer 18.08.3.1+rb2

=== debian/changelog ===
korganizer (4:18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:58:06 +0800

## korganizer 18.12.3

=== debian/changelog ===
korganizer (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:47 +0100

korganizer (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:23 +0000

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicalendar-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5akonadinotes-dev (>= 4:18.12.3~),
               libkf5akonadisearch-dev (>= 4:18.12.3~),
               libkf5akonadiserver-dev (>= 4:18.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5calendarsupport-dev (>= 4:18.12.3~),
               libkf5calendarutils-dev (>= 4:18.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:18.12.3~),
               libkf5followupreminder-dev (>= 4:18.12.3~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 18.12.3~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 18.12.3~),
               libkf5incidenceeditor-dev (>= 18.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:18.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 18.12.3~),
               libkf5ldap-dev (>= 18.12.3~),
               libkf5libkdepim-dev (>= 4:18.12.3~),
               libkf5mailcommon-dev (>= 4:18.12.3~),
               libkf5mailtransport-dev (>= 18.12.3~),
               libkf5messagecomposer-dev (>= 4:18.12.3~),
               libkf5mime-dev (>= 18.12.3~),
               libkf5mimetreeparser-dev (>= 4:18.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:18.12.3~),
               libkf5pimtextedit-dev (>= 18.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:18.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:18.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 18.12.3~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://kontact.kde.org/korganizer/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer

Package: korganizer
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0),
        kontact (<< 4:4.13.3-2),
        libkdepim4 (<< 4:4.14.10-3),
        ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0),
          kontact (<< 4:4.13.3-2),
          libkdepim4 (<< 4:4.14.10-3),
          ${kde-l10n:all}
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .

## korganizer 19.04.3

=== debian/changelog ===
korganizer (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:55:56 +0100

=== debian/control ===
--- 
+++ 
@@ -18,68 +18,68 @@
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicalendar-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
-               libkf5akonadinotes-dev (>= 4:18.12.3~),
-               libkf5akonadisearch-dev (>= 4:18.12.3~),
-               libkf5akonadiserver-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicalendar-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
+               libkf5akonadinotes-dev (>= 4:19.04.3~),
+               libkf5akonadisearch-dev (>= 4:19.04.3~),
+               libkf5akonadiserver-dev (>= 4:19.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarsupport-dev (>= 4:18.12.3~),
-               libkf5calendarutils-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarsupport-dev (>= 4:19.04.3~),
+               libkf5calendarutils-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:18.12.3~),
-               libkf5followupreminder-dev (>= 4:18.12.3~),
+               libkf5eventviews-dev (>= 4:19.04.3~),
+               libkf5followupreminder-dev (>= 4:19.04.3~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 18.12.3~),
+               libkf5grantleetheme-dev (>= 19.04.3~),
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
-               libkf5incidenceeditor-dev (>= 18.12.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
+               libkf5incidenceeditor-dev (>= 19.04.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:18.12.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:19.04.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 18.12.3~),
-               libkf5ldap-dev (>= 18.12.3~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mailcommon-dev (>= 4:18.12.3~),
-               libkf5mailtransport-dev (>= 18.12.3~),
-               libkf5messagecomposer-dev (>= 4:18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
-               libkf5mimetreeparser-dev (>= 4:18.12.3~),
+               libkf5kontactinterface-dev (>= 19.04.3~),
+               libkf5ldap-dev (>= 19.04.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mailcommon-dev (>= 4:19.04.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
+               libkf5messagecomposer-dev (>= 4:19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
+               libkf5mimetreeparser-dev (>= 4:19.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
-               libkf5pimtextedit-dev (>= 18.12.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
+               libkf5pimtextedit-dev (>= 19.04.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:18.12.3~),
+               libkf5templateparser-dev (>= 4:19.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:18.12.3~),
+               libkf5webengineviewer-dev (>= 4:19.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libkf5xmlrpcclient-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 18.12.3~),
+               libkpimgapi-dev (>= 19.04.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5opengl5-dev (>= 5.6.1~),

## korganizer 19.08.3

=== debian/changelog ===
korganizer (4:19.08.3-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 24 Jan 2018 08:48:57 +0000]
  * Remove armhf from architecture list for kdepim-runtime dependency.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 11 Dec 2019 14:09:04 +0000

korganizer (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:56:15 +0100

korganizer (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:45 +0100

korganizer (4:18.08.3-3) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:55:09 +0100

korganizer (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:45:42 +0200

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicalendar-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5akonadinotes-dev (>= 4:19.08.3~),
               libkf5akonadisearch-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacts-dev (>> 4:18.08.3-1),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5crash-dev (>= 5.60.0~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5eventviews-dev (>= 4:19.08.3~),
               libkf5holidays-dev (>= 1:5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5incidenceeditor-dev (>= 19.08.3~),
               libkf5itemviews-dev (>= 5.60.0~),
               libkf5jobwidgets-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:19.08.3~),
               libkf5kontactinterface-dev (>= 19.08.3~),
               libkf5ldap-dev (>= 19.08.3~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5newstuff-dev (>= 5.60.0~),
               libkf5notifications-dev (>= 5.60.0~),
               libkf5parts-dev (>= 5.60.0~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5pimtextedit-dev (>= 19.08.3~),
               libkf5service-dev (>= 5.60.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               libkf5windowsystem-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               libphonon4qt5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git

Package: korganizer
Architecture: any
Depends: kdepim-runtime [amd64 arm64 i386 mipsel],
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-9~
-
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
-include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
 	$(overridden_command)
